<div class="control-section">
    <ejs-treegrid #treeGrid [dataSource]='data' 
                  gridLines="Both"
                  allowSorting='true'
                  childMapping='subItems'
                  [treeColumnIndex]='1'
                  [allowMultiSorting]='allowMultiSorting'
                  [allowFiltering]='allowFiltering'
                  [filterSettings]='filterSettings'
                  [editSettings]='editSettings'
                  [contextMenuItems]='contextMenuItems'
                  allowResizing='true'
                  allowReordering='true'
                  [selectionSettings]='selectionOptions'
                  [allowRowDragAndDrop]='true'
                  [toolbar]='toolbar'
                  [enableAdaptiveUI]='true'
                  showColumnMenu='true'
                  [columnMenuItems]='menu'
                  (contextMenuClick)='contextMenuClick($event)'
                  (actionBegin)='actionBegin($event)'>
        <e-columns>
          <e-column field='id' headerText='ID' [isPrimaryKey]='true' [isIdentity]='true' textAlign='Right' width=90></e-column>
          <e-column *ngFor="let item of columnsMetadata; let i = index"
                    [field]='item.field'
                    [headerText]='item.headerText'
                    [textAlign]='item.textAlign'
                    [width]='item.width'
                    [format]='item.format'
          >
          </e-column>
        </e-columns>
    </ejs-treegrid>
  </div>
